java.security.acl

## Interface Permission

-     public interface Permission

  This interface represents a permission, such as that used to grant a particular type of access to a resource.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object another)` Returns true if the object passed matches the permission represented in this interface.
    `String` | `toString()` Prints a string representation of this permission.

- - ### Method Detail

    - #### equals

          boolean equals(Object another)

      Returns true if the object passed matches the permission represented in this interface.
      Overrides:
        `equals` in class `Object`
      Parameters:
        `another` - the Permission object to compare with.
      Returns:
        true if the Permission objects are equal, false otherwise
      See Also:
        `Object.hashCode()`, `HashMap`

    - #### toString

          String toString()

      Prints a string representation of this permission.
      Overrides:
        `toString` in class `Object`
      Returns:
        the string representation of the permission.

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2017, Oracle and/or its affiliates. All rights reserved.